package de.dass_it.vanhelsing.gui;

import de.dass_it.www.vanhelsing.VanHelsingStub.ResourceAttributeType;
import de.dass_it.www.vanhelsing.VanHelsingStub.ResourceInfo;

public	class SimpleResource{
	/**
	 * @uml.property  name="resourceInfo"
	 * @uml.associationEnd  
	 */
	private ResourceInfo resourceInfo;
	/**
	 * @uml.property  name="resourceAttributeType"
	 * @uml.associationEnd  multiplicity="(0 -1)"
	 */
	private ResourceAttributeType[] resourceAttributeType;
	
	public SimpleResource(){}
	public SimpleResource(ResourceInfo ri, ResourceAttributeType[] rat){
		setResourceInfo(ri);
		setResourceAttributeType(rat);
	}
	
	/**
	 * @return
	 * @uml.property  name="resourceInfo"
	 */
	public ResourceInfo getResourceInfo() {
		return resourceInfo;
	}
	/**
	 * @param resourceInfo
	 * @uml.property  name="resourceInfo"
	 */
	public void setResourceInfo(ResourceInfo resourceInfo) {
		this.resourceInfo = resourceInfo;
	}
	/**
	 * @return
	 * @uml.property  name="resourceAttributeType"
	 */
	public ResourceAttributeType[] getResourceAttributeType() {
		return resourceAttributeType;
	}
	/**
	 * @param resourceAttributeType
	 * @uml.property  name="resourceAttributeType"
	 */
	public void setResourceAttributeType(
			ResourceAttributeType[] resourceAttributeType) {
		this.resourceAttributeType = resourceAttributeType;
	}
}

